TemplateNamespacedTagDispatcher (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.taglib

## [Groovy] Class TemplateNamespacedTagDispatcher

- org.grails.taglib.TemplateNamespacedTagDispatcher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `TEMPLATE_NAMESPACE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class NamespacedTagDispatcher` | `application, developmentMode, lookup, namespace, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateNamespacedTagDispatcher (java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.util.Map` | `argsToAttrs(java.lang.String name, java.lang.Object args)`
    `protected java.lang.Object` | `callRender(java.util.Map attrs, java.lang.Object body)`
    `protected java.lang.Object` | `filterBodyAttr(java.lang.Object args)`
    `java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
    `protected void` | `registerTagMetaMethods(groovy.lang.ExpandoMetaClass emc)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NamespacedTagDispatcher` | `initializeMetaClass, methodMissing, registerTagMetaMethods`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String TEMPLATE_NAMESPACE

  - ### Constructor Detail

    - #### TemplateNamespacedTagDispatcher(java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)

  - ### Method Detail

    - #### protected java.util.Map argsToAttrs(java.lang.String name, java.lang.Object args)

    - #### protected java.lang.Object callRender(java.util.Map attrs, java.lang.Object body)

    - #### protected java.lang.Object filterBodyAttr(java.lang.Object args)

    - #### java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

    - #### protected void registerTagMetaMethods(groovy.lang.ExpandoMetaClass emc)